Subject: Re: [PATCH] net: add ability to clear stats via ethtool - e1000/pcnet32

From: James Cammarata <[email-masked]>
Date: Thu, 29 May 2008 16:18:03 -0500

>>  I'd be more than happy to change this to a kernel config
>> option, experimental and default off for those who would not want it.
> 
> We never add pieces of code which are marked experimental and
> intended to be marked that way forever, that's nonsense.

Completely not my intention, I did not ever intend to have something
marked experimental forever, and I'm not sure where you're drawing
that inference from.
 
> What you want is your little special kernel hack in the upstream
> tree, and that's now how we handle such things, sorry.

No, I saw what I thought was a lack of a feature that is commonplace 
on many other platforms, and thought I'd give it a shot to see if 
I could add it myself.  The NAKs are apparently overwhelming on this
issue, so I'll stop beating a dead horse and move on.  Thanks for the 
input.